Bug 3712 - urpm-reposync fail
: urpm-reposync fail
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Highest major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-30 15:41 MSK by Vladimir Potapov
Modified: 2014-03-05 11:15 MSK (History)
3 users (show)

See Also:
RPM Package: urpm-tools
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-01-30 15:41:25 MSK
Description of problem:

#urpm-reposync
Загрузка списка установленных пакетов...
Обработка источника main...
Обработка источника main updates...
Обработка источника Main32...
Обработка источника Main32 Updates...
Обработка источника contrib...
Обработка источника contrib updates...
Обработка источника non-free...
Обработка источника non-free updates...
Обработка источника Non-free32...
Обработка источника Non-free32 Updates...
Обработка источника restricted...
Обработка источника restricted updates...
Обработка источника Restricted32...
Обработка источника Restricted32 Updates...
Computing actions list...
>>>ERROR: Package lib64gpg-error0 has unsatisfied dependencies: [libgpg-error-common >= 0:1.12-1]
>>> Пожалуйста, отправьте разработчикам дистрибутива эту информацию.
Comment 1 Postnikov Dmitry 2014-01-30 17:29:36 MSK
+1
Comment 2 Vladimir Potapov 2014-01-30 17:36:17 MSK
(In reply to comment #1)
> +1
The bug block many test cases - I don't back system state after incorrect testing update...
Comment 3 Postnikov Dmitry 2014-01-30 17:42:07 MSK
(In reply to comment #2)
> (In reply to comment #1)
> > +1
> The bug block many test cases - I don't back system state after incorrect
> testing update...

This MINOR bug. :) Nobody cares that we cannot return the system to a working state.
Comment 4 Denis Silakov 2014-02-18 13:28:14 MSK
Try these builds:

(64 bit)
https://abf.rosalinux.ru/build_lists/1644922

(32 bit)
https://abf.rosalinux.ru/build_lists/1644921
Comment 5 Vladimir Potapov 2014-02-18 15:38:21 MSK
A regression detect:

Версии следующих пакетов будут понижены:
 Имя пакета             Текущая версия  Новая версия Архитектура
(источник  abf-main)
 gsettings-desktop-schemas       3.8.2-4          3.6.1-1         i586      
 kernel-headers                  3.10.27-1        3.6.10-1        i586      
 update-alternatives             1.17.1-2         1.9.0-9         i586
Comment 6 Denis Silakov 2014-02-18 15:41:22 MSK
(In reply to comment #5)
> A regression detect:
> 
> Версии следующих пакетов будут понижены:
>  Имя пакета             Текущая версия  Новая версия Архитектура
> (источник  abf-main)
>  gsettings-desktop-schemas       3.8.2-4          3.6.1-1         i586      
>  kernel-headers                  3.10.27-1        3.6.10-1        i586      
>  update-alternatives             1.17.1-2         1.9.0-9         i586

Hm, which system do you have (32bit or 64bit) and what repos are enabled? Looks like 32bit main/updates is disabled, though this can be a regression, indeed...
Comment 7 Denis Silakov 2014-02-18 15:44:58 MSK
Aha, I have reproduced this in my 32bit vbox. Ok, will dig further.
Comment 8 Denis Silakov 2014-02-27 17:04:13 MSK
One more attempt:

(32 bit):
https://abf.io/build_lists/1669239

(64 bit):
https://abf.io/build_lists/1669240
Comment 9 Vladimir Potapov 2014-02-27 18:21:08 MSK
Yes! It's work! Please, set QA flag!
Comment 10 Denis Silakov 2014-02-27 18:31:47 MSK
Advisory:

Fix urpm-reposync work in cases when noarch packages become arch-dependent and vice versa. Also fixed issues with 64bit systems that have 32bit repos enabled.

Build lists:
(32 bit):
https://abf.io/build_lists/1669239

(64 bit):
https://abf.io/build_lists/1669240
Comment 11 Denis Silakov 2014-02-27 21:02:37 MSK
*** Bug 2673 has been marked as a duplicate of this bug. ***
Comment 12 Vladimir Potapov 2014-02-28 12:08:27 MSK
The update route to extended testing
Comment 13 Postnikov Dmitry 2014-02-28 23:33:51 MSK
I was systemd-204, when you start urpm-reposync got this error.

=============
[pastordi@mindlife-K64LVM ~]$ urpm-reposync
Загрузка списка установленных пакетов...
Обработка источника main...
Обработка источника main updates...
Обработка источника Main32...
Обработка источника Main32 Updates...
Обработка источника contrib...
Обработка источника contrib updates...
Обработка источника non-free...
Обработка источника non-free updates...
Обработка источника Non-free32...
Обработка источника Non-free32 Updates...
Обработка источника restricted...
Обработка источника restricted updates...
Обработка источника Restricted32...
Обработка источника Restricted32 Updates...
Обработка источника urpmtools1...
Computing actions list...
>>>ERROR: Package systemd-sysvinit has unsatisfied dependencies: [systemd == 0:208-26]
>>>ERROR: Package systemd has unsatisfied dependencies: [libsystemd-daemon == 0:204-22, libsystemd-login == 0:204-22, libsystemd-journal == 0:204-22, udev == 0:204-22, libsystemd-id128 == 0:204-22]
>>>ERROR: Package udev has unsatisfied dependencies: [systemd == 0:208-26]
>>>ERROR: Package lib64wxgtku2.8 has unsatisfied dependencies: [wxgtk2.8 == 0:2.8.12-7]
>>>ERROR: systemd requires chkconfig > 0:1.3.61
>>> Пожалуйста, отправьте разработчикам дистрибутива эту информацию.
[pastordi@mindlife-K64LVM ~]$ 
[pastordi@mindlife-K64LVM ~]$ rpm -qa | grep systemd-2
systemd-204-22-rosa2012.1.x86_64
[pastordi@mindlife-K64LVM ~]$
================
Comment 14 Denis Silakov 2014-02-28 23:48:49 MSK
I am aware of this issue. But I observe it with both previous and new reposync, so likely it is not regression but another issue.

If you have the same problem with old reposync, then I suggest to push this update. New reposync should work better, but not ideal, and I will continue to fix it.
Comment 15 Postnikov Dmitry 2014-03-01 00:14:08 MSK
Another mistake.

================
[pastordi@mindlife-K64LVM ~]$ urpm-reposync
Загрузка списка установленных пакетов...
Обработка источника main...
Обработка источника main updates...
Обработка источника Main32...
Обработка источника Main32 Updates...
Обработка источника contrib...
Обработка источника contrib updates...
Обработка источника non-free...
Обработка источника non-free updates...
Обработка источника Non-free32...
Обработка источника Non-free32 Updates...
Обработка источника restricted...
Обработка источника restricted updates...
Обработка источника Restricted32...
Обработка источника Restricted32 Updates...
Обработка источника urpmtools1...
Computing actions list...
>>>ERROR: Package lib64wxgtku2.8 has unsatisfied dependencies: [wxgtk2.8 == 0:2.8.12-7]
>>> Пожалуйста, отправьте разработчикам дистрибутива эту информацию.
[pastordi@mindlife-K64LVM ~]$ 
[pastordi@mindlife-K64LVM ~]$ rpm -qa | grep wxgtk2
wxgtk2.8-2.8.12-7-rosa2012.1.x86_64
[pastordi@mindlife-K64LVM ~]$ 
[pastordi@mindlife-K64LVM ~]$ rpm -qa | grep wxgtku2
lib64wxgtku2.8-2.8.12-7-rosa2012.1.x86_64
[pastordi@mindlife-K64LVM ~]$ 
[pastordi@mindlife-K64LVM ~]$
================
Comment 16 Postnikov Dmitry 2014-03-01 00:26:49 MSK
Don't work
I have kde 4.11.3 and start urm-reposync. His write 564 pkg need installing. But after message "Запуск транзакции..." nothing to do:

===================
....
....
 python-netifaces                0.6-1            0.8-1           x86_64    
 python-odf                      0.9.4-1          0.9.6-1         noarch    
 qt-recordmydesktop              0.3.8-3          0.3.8-4         x86_64    
 sigil                           0.5.3-1          0.7.2-2         x86_64    
 soundkonverter                  1.6.4-1          2.0.91-1        x86_64    
 stellarium                      0.11.4a-1        0.12.4-1        x86_64    
 xvidcap                         1.1.7-4          1.1.7-5         x86_64    
(источник  restricted updates)
 audacious-plugins               3.3.3-1plf       3.4.3-1plf      x86_64    
 audacious-pulse                 3.3.3-1plf       3.4.3-1plf      x86_64    
 lib64dca0                       0.0.5-4          0.0.5-5         x86_64    
 lib64qmmp0                      0.6.3-1          0.7.5-1plf      x86_64    
 lib64qmmpui0                    0.6.3-1          0.7.5-1plf      x86_64    
 lib64quicktime0                 1.2.4-2plf       1.2.4-5plf      x86_64    
 qmmp                            0.6.3-1          0.7.5-1plf      x86_64    
 qmmp-plugins                    0.6.3-1          0.7.5-1plf      x86_64    

Версии следующих пакетов будут понижены:
 Имя пакета             Текущая версия  Новая версия Архитектура
(источник  main)
 lib64openvg1                    9.2.2-1          9.0.1-1         x86_64    

Дополнительные пакеты будут установлены:
 Имя пакета             Версия    Архитектура
 lib64fltk_gl0                   1.3.2-3         x86_64    
 lib64fltk_images0               1.3.2-3         x86_64    
 lib64kid3                       2.3-6           x86_64    
 lib64wireshark3                 1.10.5-1        x86_64    
....
....
 lib64qgsttools_p1               5.2.1-1         x86_64    
 qt5-qtmultimedia-i18n           5.2.1-1         noarch    
 lib64opencv_calib3d2            2.4.2-1         x86_64    
 lib64opencv_features2d2         2.4.2-1         x86_64    
 lib64opencv_flann2              2.4.2-1         x86_64    

Пакетов будет скачано и установлено: 564.
Пакетов будет удалено: 0.
Данных будет скачано: 1.70G.
Хотите продолжить? (д/н): y
Скачивание файлов...
[1/564] lib64processcore4-4.11.4-7-rosa2012.1.x86_64.rpm 
[2/564] lib64kolourpaint_lgpl4-4.11.4-1-rosa2012.1.x86_64.rpm 
[3/564] plasma-wallpaper-pattern-4.11.4-1-rosa2012.1.x86_64.rpm 
[4/564] lib64taskmanager4-4.11.4-7-rosa2012.1.x86_64.rpm 
[5/564] lib64akonadi-socialutils4-4.11.4-1-rosa2012.1.x86_64.rpm 
....
....
[557/564] lib64opencv_ml2-2.4.2-1-rosa2012.1.x86_64.rpm 
[558/564] lib64opencv_video2-2.4.2-1-rosa2012.1.x86_64.rpm 
[559/564] lib64qt5multimediawidgets5-5.2.1-1-rosa2012.1.x86_64.rpm 
[560/564] lib64qgsttools_p1-5.2.1-1-rosa2012.1.x86_64.rpm 
[561/564] qt5-qtmultimedia-i18n-5.2.1-1-rosa2012.1.noarch.rpm 
[562/564] lib64opencv_calib3d2-2.4.2-1-rosa2012.1.x86_64.rpm 
[563/564] lib64opencv_features2d2-2.4.2-1-rosa2012.1.x86_64.rpm 
[564/564] lib64opencv_flann2-2.4.2-1-rosa2012.1.x86_64.rpm 
Создание транзакции...
Проверка зависимостей...
Ошибок не найдено
warning: LOOP:
warning: removing lib64kdecore5-4.11.4-1.x86_64 "Requires(hint): kde-l10n" from tsort relations.
warning: removing kde-l10n-en_GB-4.11.4-1.noarch "Requires: /usr/share/apps/kturtle/data" from tsort relations.
warning: not removing grub2-theme-rosa-2.00-32.noarch "Requires(pre): grub2 >= 2.00-28" from tsort relations.
warning: removing grub2-2.00-43.x86_64 "Requires: /usr/share/locale/en@arabic/LC_MESSAGES" from tsort relations.
warning: removing kcron-4.11.4-1.x86_64 "Requires: /usr/lib64/kde4" from tsort relations.
...
...
...
warning: LOOP:
warning: removing kdepimlibs4-core-4.11.3-1.x86_64 "Requires: kdepimlibs4-core = 2:4.11.3-1:2012.1" from tsort relations.
warning: removing lib64kabc4-4.11.3-1.x86_64 "Requires(auto): libkabc.so.4()(64bit)" from tsort relations.
warning: removing lib64kabc_file_core4-4.11.3-1.x86_64 "Requires(auto): libkabc_file_core.so.4()(64bit)" from tsort relations.
warning: LOOP:
warning: removing kdepimlibs4-core-4.11.3-1.x86_64 "Requires: kdepimlibs4-core = 2:4.11.3-1:2012.1" from tsort relations.
warning: removing lib64akonadi-kmime4-4.11.3-1.x86_64 "Requires(auto): libakonadi-kmime.so.4()(64bit)" from tsort relations.
warning: removing lib64mailtransport4-4.11.3-1.x86_64 "Requires(auto): libmailtransport.so.4()(64bit)" from tsort relations.
Запуск транзакции...
[pastordi@mindlife-K64LVM ~]$ 
[pastordi@mindlife-K64LVM ~]$ 
==========
Comment 17 Denis Silakov 2014-03-01 11:28:41 MSK
Ok. So the remaining question is - how does the old reposync work in these cases?
Comment 18 Postnikov Dmitry 2014-03-01 21:41:28 MSK
(In reply to comment #17)
> Ok. So the remaining question is - how does the old reposync work in these
> cases?

Old version don't check. Error lib64gpg-error0....
Comment 19 Vladimir Potapov 2014-03-03 08:53:37 MSK
(In reply to comment #18)
> (In reply to comment #17)
> > Ok. So the remaining question is - how does the old reposync work in these
> > cases?
> 
> Old version don't check. Error lib64gpg-error0....
Ok, it's bug, not a regression.
Comment 20 Vladimir Potapov 2014-03-03 08:56:14 MSK
urpm-tools-2.2.5-2
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1669239/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1669240/x86_64/main/release/
*************************  Advisory ********************
Fix urpm-reposync work in cases when noarch packages become arch-dependent and vice versa. Also fixed issues with 64bit systems that have 32bit repos enabled.
********************************************************
QA Verified